<?php
/**
 *Recommended way to include parent theme styles.
 *(Please see http://codex.wordpress.org/Child_Themes#How_to_Create_a_Child_Theme)
 */
/**
 * Loads the child theme textdomain.
 */
function gistpro_child_load_language() {
    load_child_theme_textdomain( 'gistpro-child' );
}
add_action( 'after_setup_theme', 'gistpro_child_load_language' );

/**
 * Gist functions and definitions
 *
 * @link https://developer.wordpress.org/themes/basics/theme-functions/
 *
 * @package Gist
 */
if ( ! function_exists( 'gistpro_child_setup' ) ) :
    /**
     * Sets up theme defaults and registers support for various WordPress features.
     *
     * Note that this function is hooked into the after_setup_theme hook, which
     * runs before the init hook. The init hook is too late for some features, such
     * as indicating support for post thumbnails.
     */
    function gistpro_child_setup() {

        // This theme uses wp_nav_menu() in one location.
        register_nav_menus( array(
            'top-menu' => esc_html__( 'Top Menu', 'gistpro-child' ),

        ) );
    }
endif;
add_action( 'after_setup_theme', 'gistpro_child_setup' );

/**
* Enqueue Style
*/
add_action( 'wp_enqueue_scripts', 'gistpro_child_style' );
function gistpro_child_style() {
	wp_enqueue_style( 'gist-style', get_template_directory_uri() . '/style.css' );
	wp_enqueue_style( 'gistpro-child-style',get_stylesheet_directory_uri() . '/style.css',array('gist-style'));
	wp_enqueue_style('gistpro-child-google-fonts', '//fonts.googleapis.com/css?family=Playfair+Display');

    wp_enqueue_script( 'gistpro-child-custom', get_stylesheet_directory_uri() . '/js/gistpro-child-custom.js', array('jquery'), '20151215', true );
}
/**
 * Gist Theme Customizer
 *
 * @package Gist
 */
if ( !function_exists('gist_default_theme_options') ) :
    function gist_default_theme_options() {

        $default_theme_options = array(
            'gist-header-social' => 0,
            'gist-footer-copyright'=> esc_html__('All Right Reserved 2016','gist'),
            'gist-footer-gototop' => 1,
            'gist-sticky-sidebar'=> 1,
            'gist-sidebar-options'=> 'left-sidebar',
            'gist-font-url'=> esc_url('//fonts.googleapis.com/css?family=Open+Sans', 'gist'),
            'gist-font-family' => esc_html__('Open Sans, serif','gist'),
            'gist-font-size'=> 16,
            'gist-font-line-height'=> 2,
            'gist-letter-spacing'=> 0,
            'gist-blog-excerpt-options'=> 'excerpt',
            'gist-blog-excerpt-length'=> 25,
            'gist-blog-featured-image'=> 'left-image',
            'gist-blog-meta-options'=> 0,
            'gist-blog-read-more-options' => esc_html__('Continue Reading' , 'gist'),
            'gist-related-post'=> 1,
            'gist-single-featured'=> 1,
            'gist-footer-social' => 0,
            'gist-extra-breadcrumb' => 0,
            'gist-breadcrumb-text' => esc_html__('You Are Here' , 'gist'),
            'gist-related-post-title'=> esc_html__('Related Posts','gist'),
            'gist-related-post-number'=> 3,
            'gist-search-placeholder' => esc_html__('Search &hellip;','gist'),
            'gist-blog-column-number' => 'one-column',
            'gist-enable-slider'=> 0,
            'gist-select-slider-category' => __( 'Select Category', 'gist' ),
            'gist-sticky-menu' => 0,
            'gist-header-type-options' => 'normal-menu',
            'gist-masonry-layout-options'=> 'normal-layout',
            'gist-powered-text' =>  sprintf( esc_html__('Proudly powered by %1$s %2$s Theme: %3$s by %4$s.','gist') , '<a href="https://wordpress.org/" target="_blank">WordPress</a>', ' <span class="sep"> | </span>', 'GistPro', '<a href="https://www.candidthemes.com/" target="_blank">Candid Themes</a>' ),
            'gist-site-title-color-options' => '#4ea371',
            'gist-site-tagline-color-options' => '',
            'gist-heading-color-options'=>'',
            'gist-body-paragraph-color' => '',
            'gist-site-title-hover-color-options'=>'',
            'gist-primary-color' => '',
            'gist-link-color'=>'',
            'gist-link-hover-color'=>'',
            'gist-menu-color' => '',
            'gist-menu-background-color'=>'',
            'gist-read-more-hover-text-color' =>'',
            'gist-read-more-text-color'=>'',
            'gist-heading-font-url'=> esc_url('//fonts.googleapis.com/css?family=Playfair+Display', 'gist'),
            'gist-heading-font-family'=> esc_html__('Playfair Display, sans-serif','gist'),
            'gist-heading-font-line-height'=> 1.5,
            'gist-heading-letter-spacing'=> 0,
            'gist-enable-disable-slider'=> 0,
            'gist-slider-number'=> 6,
            'gist-slider-meta-options'=> 1,
            'gist-pagination-options'=> 'default',
            'gist-author-info' => 0,

        );
        return apply_filters( 'gist_default_theme_options', $default_theme_options );
    }
endif;

/**
 * Add postMessage support for site title and description for the Theme Customizer.
 *
 * @param WP_Customize_Manager $wp_customize Theme Customizer object.
 */
function gistpro_child_customize_register( $wp_customize ) {

    $default = gist_default_theme_options();

    /*Header Options*/
        $wp_customize->add_section( 'gist_header_section', array(
            'priority'       => 15,
            'capability'     => 'edit_theme_options',
            'theme_supports' => '',
            'title'          => __( 'Header Options', 'gistpro-child' ),
            'panel'          => 'gist_panel',
        ) );
        $wp_customize->add_setting( 'gist_theme_options[gist-header-social]', array(
            'capability'        => 'edit_theme_options',
            'transport' => 'refresh',
            'default'           => $default['gist-header-social'],
            'sanitize_callback' => 'gist_sanitize_checkbox'
        ) );
        $wp_customize->add_control( 'gist_theme_options[gist-header-social]', array(
            'label'     => __( 'Social Icons', 'gistpro-child' ),
            'description' => __('Enable Social Icons on Header', 'gistpro-child'),
            'section'   => 'gist_header_section',
            'settings'  => 'gist_theme_options[gist-header-social]',
            'type'      => 'checkbox',
            'priority'  => 25
        ) );
    }
add_action( 'customize_register', 'gistpro_child_customize_register' );